nodejs.Error: Could not execute GraphicsMagick/ImageMagick

核心模块a-file使用gm来实现文件上传功能,而gm则需要安装graphicsmagick或者imagemagick

请参见:https://github.com/aheckmann/gm



Ubuntu下执行npm run dev:backend出现ENOSPC

错误原因是,nodemon监听文件过多(超过系统允许监听的默认值)导致出现异常。系统默认允许监听文件数为一个较低数值,例如8192。可以通过增加系统允许监听文件数,避免这个报错

请参见:



npm install安装出错的常用解决方案

请参见:npm install安装出错的解决方案



NPM Error:gyp: No Xcode or CLT version detected!

当Mac系统升级之后,往往会出现这个错误,只需在命令行执行以下两行指令,重新安装Xcode的相关组件,即可

$ sudo rm -rf $(xcode-select -print-path)
$ xcode-select --install

具体详情,请参见:NPM Error:gyp: No Xcode or CLT version detected!